Skip to main content
GET
/
projects
/
{projectId}
/
testtakers
/
{id}
Get test taker
curl --request GET \
  --url https://api.neurapulse.com/projects/{projectId}/testtakers/{id} \
  --header 'x-api-key: <api-key>'
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.neurapulse.com/projects/{projectId}/testtakers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://api.neurapulse.com/projects/{projectId}/testtakers/{id}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
using RestSharp;


var options = new RestClientOptions("https://api.neurapulse.com/projects/{projectId}/testtakers/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
var response = await client.GetAsync(request);

Console.WriteLine("{0}", response.Content);
{
  "id": 123,
  "email": "<string>",
  "referenceId": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "fullName": "<string>",
  "yearOfBirth": 123,
  "dateCompleted": "2023-11-07T05:31:56Z",
  "lastTestSentUtc": "2023-11-07T05:31:56Z"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}

Authorizations

x-api-key
string
header
required

API key generated in the Portal (Workspace Settings → API Keys).

Path Parameters

projectId
string<uuid>
required

Project Id. Obtain via GET /projects or from the project URL.

id
integer<int32>
required

The unique identifier of the test taker.

Response

OK

id
integer<int32>
required
email
string
required
referenceId
string | null
firstName
string | null
lastName
string | null
fullName
string
yearOfBirth
integer<int32> | null
result
any | null
Available options:
Started,
Completed,
CouldNotCompleteConnectionIssues,
CouldNotCompleteNpServerIssues,
CouldNotCompleteTimedOut,
CouldNotCompleteUnsupportedDevice,
Confirming,
HighRisk,
InProgress,
NotStarted,
Incomplete,
Fatigued,
Distressed,
ReasonableCause,
Escalated,
Emergency,
null
dateCompleted
string<date-time> | null
lastTestSentUtc
string<date-time> | null